VFS_DEFAULT_QUOTA(8)

NAME
vfs_default_quota - store default quota records for Windows clients

SYNOPSIS

vfs objects = default_quota

DESCRIPTION

This VFS module is part of the samba(7) suite.

Many common quota implementations only store quotas for users and groups, but do not store a default quota. The vfs_default_quota module allows Samba to store default quota values which can be examined using the Windows Explorer interface.

By default, Samba returns NO_LIMIT the default quota and refuses to update them. vfs_default_quota maps the default quota to the quota record of a user. By default the root user is taken because quota limits for root are typically not enforced.

This module is stackable.

OPTIONS

default_quota:uid = UID
    UID specifies the user ID of the quota record where the default user quota values are stored.

default_quota:gid = GID
    GID specifies the group ID of the quota record where the default group quota values are stored.

default_quota:uid nolimit = BOOL
    If this parameter is True, then the user whose quota record is storing the default user quota will be reported as having a quota of NO_LIMIT. Otherwise, the stored values will be reported.

default_quota:gid nolimit = BOOL
    If this parameter is True, then the group whose quota record is storing the default group quota will be reported as having a quota of NO_LIMIT. Otherwise, the stored values will be reported.

EXAMPLES

Store the default quota record in the quota record for the user with ID 65535 and report that user as having no quota limits:

            [global]
    	vfs objects = default_quota
    	default_quota:uid = 65535
    	default_quota:uid nolimit = yes

VERSION

This man page is part of version 4.24.0 of the Samba suite.

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.